package network;

/*****************************************************************
   A generic address.  Addresses identify clients of the network.
   Generic addresses may be compared for equality.  Real network
   implementations will likely have to extend this to model more
   interesting addressing schemes.   
 *****************************************************************/
public class Address
{
   /************************************************************
      Make a new address from a string.
    ************************************************************/
   public Address (String s)
   {
      text = s;
   }

   /************************************************************
      Convert the address to a string

      @return the string name the address was constructed with
    ************************************************************/
   public String toString ()
   {
      return text;
   }

   /************************************************************
      Compare two addresses

      @return <tt>true</tt> if the addresses represent the same
          client (in this case string equality).
    ************************************************************/
   public boolean equals (Address rhs)
   {
      return text.equals (rhs.text);
   }

   private String text;
}
