package timer;

import java.io.*;
import java.util.*;
import debug.*;

/**
  Implementation of the time units in the Timer.
            TimeUnits know how to convert themselves. 
  Clients are not allowed to create new time units.  Sorry.
*/
public class TimeUnit
{
   // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   // Create a new unit with a given conversion to mircoseconds
   // - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
   TimeUnit (long factor)
   {
      convFactor = factor;
   }

/**
  Convert a time in these units to microseconds

@param time the time to be converted, in these units
@returns the time expressed in microseconds
*/
   public long ConvertToUS (long time)
   {
      return time * convFactor;
   }

   private long convFactor;
}

