//-----------------------------------------------------------------
// TimeoutID: implementation of the IDs passed for timeouts.
//            For convenience, this carries the data about the
//            timeout.  Clients should not access this data.
//-----------------------------------------------------------------
package timer;

/**
   A TimeoutID identifies a pending timeout.  These are returned
   by <tt>Timer.SetTimeout</tt> and can be passed to <tt>Timer.CancelTimeout</tt>.
   You can use the <tt>==</tt> operator to compare IDs.  Other than that
   these objects are completely blind.

   @see Timer#SetTimeout
   @see Timer#CancelTimeout
*/
public class TimeoutID
{
   // Protect the constructor as well as the fields.
   TimeoutID ()
   {
   }

   boolean internalWakeup;

   long time;
   Object info;
   TimerClient client;

   Thread thread;
}

