package timer;

import java.io.*;
import java.util.*;
import debug.*;

/**
A utility class to queue up clients and process their actions
(which are presumed to take simulated time) in order.  Each <tt>WaitQueue</tt>
serves one server object, and keeps a reference to it to synchronize 
properly with its monitor.  It is assumed that the queue interface
will be used from withing <tt>synchronized</tt> methods.
*/
public class WaitQueue
{
/**
   Create a new queue to work with a particular server object

@param obj the server object from which the queue's methods will
 be called
*/
   public WaitQueue (Object obj)
   {
      this.obj = obj;
      queue = new Vector ();
   }

/**
   queue up the current thread, and block until it reaches
   the front of the queue (might not block if the queue is
   currently empty.  

@throws IllegalMonitorStateException if the current process
 is not the holder of the monitor for the object <tt>obj</tt>.
*/
   public void Wait () throws IllegalMonitorStateException
   {
   }

/** 
   remove the current thread from the front of the queue, and
   let the next waiter (if any) run.

@throws IllegalMonitorStateException if the current process
 is not the holder of the monitor for the object <tt>obj</tt>.
@throws IllegalWaitQueueStateException if the current process 
 is not at the front of the queue.
*/
   public void SignalNext () throws IllegalMonitorStateException, 
                                    IllegalWaitQueueStateException
   {
   }


private Vector queue;
private Object obj;
}
